Page MenuHomePhabricator

strlen() expects parameter 1 to be string, array given
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.35.0-wmf.5

message
strlen() expects parameter 1 to be string, array given

Details

Request ID
XbJJJApAMEoAACjM6QUAAAAI
Request URL
https://ru.wikisource.org/w/rest.php/ru.wikisource.org/v3/page/pagebundle/%D0%9F%D0%B8%D0%BB%D0%B0_(%D0%93%D0%B5%D1%80%D0%BE%D0%BA%3B_%D0%A7%D1%8E%D0%BC%D0%B8%D0%BD%D0%B0)%2F1905_(%D0%92%D0%A2%3A%D0%81)/3770103
Stack Trace
exception.trace
#0 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Ext/Poem/Poem.php(90): strlen(array)
#1 [internal function]: Parsoid\Ext\Poem\Poem->Parsoid\Ext\Poem\{closure}(Parsoid\Tokens\KV)
#2 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Ext/Poem/Poem.php(94): array_map(Closure, array)
#3 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/ExtensionHandler.php(136): Parsoid\Ext\Poem\Poem->toDOM(Parsoid\Config\ParsoidExtensionAPI, string, array)
#4 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/ExtensionHandler.php(262): Parsoid\Wt2Html\TT\ExtensionHandler->onExtension(Parsoid\Tokens\SelfclosingTagTk)
#5 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/TokenHandler.php(211): Parsoid\Wt2Html\TT\ExtensionHandler->onTag(Parsoid\Tokens\SelfclosingTagTk)
#6 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#7 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TokenTransformManager.php(182): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#8 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/ParserPipeline.php(127): Parsoid\Wt2Html\TokenTransformManager->process(array, array)
#9 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Utils/PipelineUtils.php(110): Parsoid\Wt2Html\ParserPipeline->parse(string, array)
#10 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/TemplateHandler.php(621): Parsoid\Utils\PipelineUtils::processContentInPipeline(Parsoid\Config\Env, Parsoid\Wt2Html\PageConfigFrame, string, array)
#11 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/TemplateHandler.php(1398): Parsoid\Wt2Html\TT\TemplateHandler->processTemplateSource(array, array, string)
#12 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/TemplateHandler.php(1450): Parsoid\Wt2Html\TT\TemplateHandler->onTemplate(Parsoid\Tokens\SelfclosingTagTk)
#13 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TT/TokenHandler.php(211): Parsoid\Wt2Html\TT\TemplateHandler->onTag(Parsoid\Tokens\SelfclosingTagTk)
#14 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#15 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TokenTransformManager.php(192): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#16 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/TokenTransformManager.php(190): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#17 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/HTML5TreeBuilder.php(430): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#18 [internal function]: Parsoid\Wt2Html\HTML5TreeBuilder->processChunkily(string, array)
#19 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/DOMPostProcessor.php(894): Generator->current()
#20 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/ParserPipeline.php(148): Parsoid\Wt2Html\DOMPostProcessor->processChunkily(string, array)
#21 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/ParserPipeline.php(198): Parsoid\Wt2Html\ParserPipeline->parseChunkily(string, array)
#22 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Wt2Html/ParserPipelineFactory.php(299): Parsoid\Wt2Html\ParserPipeline->parseToplevelDoc(string, array)
#23 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/WikitextContentModelHandler.php(78): Parsoid\Wt2Html\ParserPipelineFactory->parse(string)
#24 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Parsoid.php(86): Parsoid\WikitextContentModelHandler->toHTML(Parsoid\Config\Env)
#25 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/src/Parsoid.php(113): Parsoid\Parsoid->parseWikitext(MWParsoid\Config\PageConfig, array)
#26 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/extension/src/Rest/Handler/ParsoidHandler.php(546): Parsoid\Parsoid->wikitext2html(MWParsoid\Config\PageConfig, array, NULL)
#27 /srv/deployment/parsoid/deploy-cache/revs/150f9af67571e75cf0a45d728d0051592adff0ad/src/extension/src/Rest/Handler/PageHandler.php(52): MWParsoid\Rest\Handler\ParsoidHandler->wt2html(Parsoid\Config\Env, array)
#28 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(315): MWParsoid\Rest\Handler\PageHandler->execute()
#29 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(285): MediaWiki\Rest\Router->executeHandler(MWParsoid\Rest\Handler\PageHandler)
#30 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(116): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#31 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(83): MediaWiki\Rest\EntryPoint->execute()
#32 /srv/mediawiki/php-1.35.0-wmf.5/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#33 /srv/mediawiki/w/rest.php(3): require(string)
#34 {main}

Event Timeline

ssastry created this task.Nov 16 2019, 5:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2019, 5:21 AM
ssastry triaged this task as Medium priority.Nov 16 2019, 5:22 AM
ssastry moved this task from Backlog to Bugs, Notices, Crashers on the Parsoid-PHP board.

Change 551354 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Fix bug arising from JS vs PHP differences in falsy values

https://gerrit.wikimedia.org/r/551354

ssastry claimed this task.Nov 18 2019, 12:45 AM

Change 551354 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix bug arising from JS vs PHP differences in falsy values

https://gerrit.wikimedia.org/r/551354

ssastry closed this task as Resolved.Nov 20 2019, 9:55 PM